<template>
  <v-rating
    v-model="popularity"
    background-color="red lighten-3"
    color="red"
    half-increments
    x-small
    :size="size"
    :value="value"
    :length="length"
    readonly
  ></v-rating>
</template>
<script setup lang="ts">
import { ref, watch, defineProps, onMounted } from 'vue';

const popularity = ref(0);
const props = defineProps({
  current: {
    type: Number,
    default: 0,
  },
  max: {
    type: Number,
    default: 10,
  },
  size: {
    type: Number,
    default: 64,
  },
  value: {
    type: Number,
    default: 3,
  },
  length: {
    type: Number,
    default: 5,
  },
});

onMounted(() => {
  popularity.value = props.current;
});

watch(props, (p: any) => {
  popularity.value = p.current;
});

</script>
